summaryrefslogtreecommitdiff
path: root/home/xyz/.local
diff options
context:
space:
mode:
Diffstat (limited to 'home/xyz/.local')
-rwxr-xr-xhome/xyz/.local/bin/loop15
-rwxr-xr-xhome/xyz/.local/bin/lsp3
-rwxr-xr-xhome/xyz/.local/bin/mvtu13
3 files changed, 31 insertions, 0 deletions
diff --git a/home/xyz/.local/bin/loop b/home/xyz/.local/bin/loop
new file mode 100755
index 00000000..6a578267
--- /dev/null
+++ b/home/xyz/.local/bin/loop
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+while getopts t: opt; do
+ case $opt in
+ t) time="$OPTARG";;
+ \?) exit 1;;
+ esac
+done
+shift $((OPTIND-1))
+
+while :; do
+ # suggested by https://github.com/koalaman/shellcheck/wiki/SC2294
+ "$@"
+ sleep "${time:-1}"
+done
diff --git a/home/xyz/.local/bin/lsp b/home/xyz/.local/bin/lsp
new file mode 100755
index 00000000..4e2caa01
--- /dev/null
+++ b/home/xyz/.local/bin/lsp
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+loop ssh "${1:-pp}"
diff --git a/home/xyz/.local/bin/mvtu b/home/xyz/.local/bin/mvtu
new file mode 100755
index 00000000..6160507f
--- /dev/null
+++ b/home/xyz/.local/bin/mvtu
@@ -0,0 +1,13 @@
+#!/bin/sh
+# MV Time-Uuid
+
+find "$@" -type f -execdir sh -c '
+ file="$(basename "$1")"
+ ext="${file##*.}"
+ if [ "$ext" != "$file" ]; then
+ dest="$(time-uuid).$ext"
+ else
+ dest="$(time-uuid)"
+ fi
+ [ -e "dest" ] || mv -v -- "$1" "$dest"
+' shell '{}' \;